System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IServiceBehavior

Authorization occurs at the service level and at the operation level. This class contains properties related to authorization at the service level.

Provides properties related to service authorization behavior.

- Constructor
  4.0.0.0

  Typically, applications do not call the constructor directly. Instead they retrieve an instance of this class by calling ServiceHostBase.Description.Behaviors.Find<ServiceAuthorizationBehavior>.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.IdentityModel.Policy.IAuthorizationPolicy> To be added.

  The external authorization policies participate in the policy evaluation process resulting in a user .

  Gets or sets a collection of external authorization policies.

- Property
  4.0.0.0
  System.Boolean To be added.

  A value of false indicates that impersonation is specified for each operation.

  Gets or sets a value that indicates whether the service performs impersonation for all the operations that it supports.

- Property
  4.0.0.0
  System.ServiceModel.Description.PrincipalPermissionMode To be added.

  This property contains one of the members of the enumeration. Valid values are:

  . A custom IAuthorizationPolicy implementation is used to populate Thread.CurrentPrincipal.

  . The Thread.CurrentPrincipal property is not set.

  . The Thread.CurrentPrincipal property is set to an IPrincipal based on ASP.NET role information.

  . The Thread.CurrentPrincipal property is set to a WindowsPrincipal based on the user credentials of the incoming message.

  Gets or sets the principal permission mode.

- Property
  4.0.0.0
  System.Web.Security.RoleProvider To be added.

  The returned object is an implementation of a custom role provider.

  Gets or sets a custom role provider.

- Property
  4.0.0.0
  System.ServiceModel.ServiceAuthorizationManager To be added.

  The class is responsible for evaluating all policies, chaining forward and backward, optionally connecting the resulting to the and returning the authorization decision of true or false to allow or deny access.

  Gets or sets the service authorization manager.

- Method
  4.0.0.0
  System.Void `` `` `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Provides the ability to pass custom data to binding elements to support the contract implementation.

  The service description of the service. The host of the service. The service endpoints. The custom objects to which binding elements have access.
- Method
  4.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Defines an explicit interface implementation that adds dispatch behaviors to configure the binding.

  The service description. The host that is currently being built.
- Method
  4.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Provides the ability to inspect the service host and the service description to confirm that the service can run successfully.

  The service description. The service host that is currently being constructed.